Skip to main content
GET
Get the contract result from a contract on the network for a given transactionId or ethereum transaction hash

Path Parameters

transactionIdOrHash
string
required

Transaction Id or a 32 byte hash with optional 0x prefix

Pattern: ^(0x)?[A-Fa-f0-9]{64}|(\d{1,10})\.(\d{1,10})\.(\d{1,10})-(\d{1,19})-(\d{1,9})$

Query Parameters

hbar
boolean
default:true

Controls the unit used for monetary fields (amount, gas_price, max_fee_per_gas, max_priority_fee_per_gas). When true (default), values are returned in tinybars. When false, values are returned in weibars (the native Ethereum unit, where 1 tinybar = 10,000,000,000 weibars).

nonce
integer<int32>
default:0

Filter the query result by the nonce of the transaction. A zero nonce represents user submitted transactions while a non-zero nonce is generated by main nodes. The filter honors the last value. Default is 0 when not specified.

Required range: x >= 0

Response

OK

access_list
string | null

The hex encoded access_list of the wrapped ethereum transaction

Example:

"0xabcd"

address
string

The hex encoded evm address of contract

Example:

"0x25fe26adc577cc89172e6156c9e24f7b9751b762"

amount
integer<int64> | null

The amount sent to the function. When hbar=true (default), the value is in tinybars. When hbar=false, the value is in weibars.

Example:

10

block_gas_used
integer<int64> | null

The total amount of gas used in the block

Example:

2000

block_hash
string | null

The hex encoded block (record file chain) hash

Example:

"0x6ceecd8bb224da491"

block_number
integer<int64> | null

The block height calculated as the number of record files starting from zero since network start.

Example:

10

bloom
file | null

The hex encoded bloom filter of the contract result

call_result
string | null

The hex encoded result returned by the function

Example:

"0x2b048531b38d2882e86044bc972e940ee0a01938"

chain_id
string | null

The hex encoded chain_id of the wrapped ethereum transaction

Example:

"0x0127"

contract_id
string | null

Network entity ID in the format of shard.realm.num

Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
Example:

"0.0.2"

created_contract_ids
(string | null)[] | null

The list of smart contracts that were created by the function call.

Network entity ID in the format of shard.realm.num

Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
Example:

"0.0.2"

error_message
string | null

The message when an error occurs during smart contract execution

Example:

"Out of gas"

failed_initcode
string

The hex encoded initcode of a failed contract create transaction

Example:

"0x856739"

from
file | null

A network entity encoded as an EVM address in hex.

Required string length: 40 - 42
Pattern: ^(0x)?[A-Fa-f0-9]{40}$
function_parameters
string | null

The hex encoded parameters passed to the function

Example:

"0xbb9f02dc6f0e3289f57a1f33b71c73aa8548ab8b"

gas_consumed
integer<int64> | null

The units of consumed gas by the EVM to execute contract

Example:

35000

gas_limit
integer<int64>

The maximum units of gas allowed for contract execution

Example:

100000

gas_price
string | null

The hex encoded gas_price of the wrapped ethereum transaction

Example:

"0x4a817c800"

gas_used
integer<int64> | null

The units of gas used to execute contract

Example:

80000

hash
string

The hex encoded transaction hash

Example:

"0x3531396130303866616264653464"

max_fee_per_gas
string | null

The hex encoded max_fee_per_gas of the wrapped ethereum transaction

Example:

"0x5"

max_priority_fee_per_gas
string | null

The hex encoded max_priority_fee_per_gas of the wrapped ethereum transaction

Example:

"0x100"

nonce
integer<int64> | null

The nonce of the wrapped ethereum transaction

Example:

1

r
string | null

The hex encoded signature_r of the wrapped ethereum transaction

Example:

"0xd693b532a80fed6392b428604171fb32fdbf953728a3a7ecc7d4062b1652c043"

result
string

The result of the transaction

Example:

"SUCCESS"

s
string | null

The hex encoded signature_s of the wrapped ethereum transaction

Example:

"0x24e9c602ac800b983b035700a14b23f78a253ab762deab5dc27e3555a750b355"

status
string

The status of the transaction, 0x1 for a SUCCESS transaction and 0x0 for all else

Example:

1

timestamp
string

A Unix timestamp in seconds.nanoseconds format

Pattern: ^\d{1,10}(\.\d{1,9})?$
Example:

"1586567700.453054000"

to
file | null

A network entity encoded as an EVM address in hex.

Required string length: 40 - 42
Pattern: ^(0x)?[A-Fa-f0-9]{40}$
transaction_index
integer<int64> | null

The position of the transaction in the block

Example:

1

type
integer | null

The type of the wrapped ethereum transaction, 0 (Pre-Eip1559) or 2 (Post-Eip1559)

Example:

2

v
integer | null

The recovery_id of the wrapped ethereum transaction

Example:

1

logs
object[]
state_changes
object[]